#include <stdio.h>
#include <stdlib.h>

int
main(){
	int lenght;
	printf("Enter lenght of the array:");
	scanf("%d", &lenght);

	double *array = NULL;

	array = (double *)malloc(lenght*sizeof(double));
	
	double *iter = array, *end = &array[lenght];

	for(iter, end; iter < end; iter++)
		scanf("%lf", iter);
		
	for(iter = array; iter < end; iter++)
		printf("%lf\n", *iter);

	free(array);
	return 0;
}
